@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

::-webkit-scrollbar{
	width: 5px;
}

::-webkit-scrollbar-thumb{
    background: rgb(57, 188, 125);
    border-radius: 30px;
}


html{
    scroll-behavior: smooth;
}
body{
    user-select: none;
    padding: 0%;
    margin: 0%;
    background-color: black;
    color: white;
    font-family: 'Poppins', 'Sans';
    overflow-x: hidden;
    overflow-y: hidden;
}
main{
    display: grid;
    grid-template-columns: auto 1fr;
    width: 100vw;
    height: 100vh;
    /* border:solid yellow 2px; */
}
aside{
    border-right: solid rgb(83, 83, 83) 2px;
    width: 20vw;
}
.content{
    /* border: solid blue 3px; */
    display: grid;
    grid-template-rows: auto 1fr;
    overflow-y: hidden;
    position: relative;
}
.searchdiv{
    width: inherit;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 40px;
    /* border: solid yellow 3px; */
}
.searchbox{
    border-radius: 10px;
    width: 43rem;
    height: 3rem;
    font-size: 2em;
    outline: none;
    border: none;
    background-color: rgb(68, 66, 66);
    color: white;
    padding-left: 20px;
    /* box-shadow: 0 5px 200px white; */
    animation-name: searchShadow;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-duration: 4s;
}

@keyframes searchShadow{
    0%{
        box-shadow: 0px 5px 200px white;
    }
    100%{
        box-shadow: 50px 5px 200px white;
    }
}

.platter{
    /* border: solid white 3px; */
    margin-top: 60px;
    padding: 20px;
    overflow-y: auto;
    padding-inline: auto;
    position: relative;
    /* display: flex;
    align-items: center;
    justify-self: center; */
}
.platteritem{
    /* border: solid yellow 3px; */
    height: fit-content;
    display: flex;
    flex-direction: column;
    margin-block-end: 20px;
    /* position: relative; */
}
.platterhead{
    width: 100%;
    height: fit-content;
    font-weight: 700;
    font-size: 2rem;
}
.plattercards{
    height: fit-content;
    /* border: solid white 2px; */
    display: grid;
    /* flex-wrap: wrap; */
    grid-auto-flow: column;
    scroll-behavior: auto;
    overflow-y: auto;
    overscroll-behavior-x: contain;
    scroll-snap-type: x mandatory;
    scrollbar-width: none;
    gap: 30px;
}
.songname{
    font-size: 1.5em;
    margin-left: 5%;
}
.logocontainer{
    /* border: solid yellow 3px; */
    width: 100px;
}
.top{
    display: flex;
    margin-top: 10px;
    padding: 5px;
    justify-content: center;
    align-items: center;
}
.top button{
    margin-left: auto;
    background-color: rgba(0, 0, 0, 0);
    border: none;
    outline: none;
    color: rgb(180, 180, 180);
    font-size: 2em;
    border-radius: 6px;
    height: 40px;
    width: 40px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}
.top button:hover{
    color: rgb(255, 254, 254);


}
.nav{
    /* border: solid blue 4px; */
    margin-top: 20%;
    height: 70%;
    padding: 7px;
}
.download{
    background-color: black;
    color: rgb(57, 188, 125);
    border: none;
    outline: none;
    font-size: 2em;
    cursor: pointer;
}
.searchlistcontainer{
    /* border: solid blue 3px; */
    height: fit-content;
    width: fit-content;
    /* position: absolute; */
    /* top: 0;
    left: 70px; */
    display: none;
    /* margin-inline: auto; */
}
.matchingsongslist{
    /* border: solid greenyellow 4px; */
    height: fit-content;
    width: fit-content;
    display: none;
    gap: 20px;
    margin-top: 20px;
    flex-wrap: wrap;
}
.offset{
    height: 90px;
    width: 100%;
    /* border: solid green 2px; */
}



@media(max-width: 475px){
    main{
        display: flex;
        flex-direction: column-reverse;
    }
    .card{
        height: 225px;
        width: 150px;
    }
    #sidebar{
        height: 40px;
        position: sticky;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        bottom: 0;
        left: 0;
        z-index: 30;
        /* border:solid red 3px; */
        
    }
    .content{
        flex-grow: 1;
    }
    #thumbdiv{
        height: 40px;
        width: 40px;
    }
    .nav{
        /* border: solid blue 4px; */
        height: 30px;
        width: fit-content;
        display: flex;
        align-items: center;
        justify-content: center;
        /* align-self: flex-start; */
        /* display: flex; */
        margin-top: 0%;
        /* height: fit-content; */
        /* padding: 7px; */
    
    }
    .download{
        border-radius: 20px;
        font-size: 1em;
    }
    #progressbar{
        height: 4px;
    }
    .player{
        bottom: 50px;
        width: 80vw;
        margin-inline: auto;
        border-radius: 20px;
        border: solid gray 1px;
        height: 50px;
        padding-inline-end: 1%;
    }
    .searchbox{
        width: 80%;
    }
    .navels{
        height: fit-content;
        font-size: 1em;
        width: fit-content;
        padding: 8px;
        /* padding-inline: 15px; */
        margin-inline: 10%;
        margin-block-end: 0px;
    }
    .top{
        display: none;
    }
    .text{
        display: none;
    }
}